#ui-scripts/05.print-copies.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-imprime.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options=""



write_log Start


#	AMC-imprime: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice imprime                                                                                          \
${xtra_options}                                                                                                         \
       --sujet $doc_sujet                                                                                              \
       --data $project_data_dir                                                                                                  \
       --split                                                                                                          \
       --methode file                                                                                                  \
       --output printouts/%e.pdf   			                                                                                         \
       --extract-with pdftk                                                                                           \

#	OPTIONS:END



#	OPTIONS:LIST:BEGIN

#       --sujet subject.pdf\
#       --fich-nums numbers-file.txt\
#       --data data-dir\
#       --split\
#       --answer-first\
#           --imprimante printer\
#           --options cups-options\
#           --output filename\
#           --print-command command\
#       --extract-with command\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice imprime --sujet subject.pdf --fich-nums numbers-file.txt --data data-dir --methode method [where-to-print-arguments...]
#	
#	DESCRIPTION
#	The AMC-imprime.pl command prints selected copies from a AMC multiple choice answer sheet.
#	
#	What to print
#	The following arguments describe what to print:
#	
#	--sujet subject.pdf
#	sets the subject file (prepared by AMC-prepare(1)).
#	
#	--fich-nums numbers-file.txt
#	gives a file where the numbers of the copies to be printed are written (one number per line). If this argument is not given, all the copies will be
#	printed.
#	
#	--data data-dir
#	gives the directory where data files are (see for example AMC-meptex(1)). The layout database in the data directory is used to know at which page of
#	the subject file each copy begins and ends.
#	
#	--split
#	asks to print separate answer sheets separately.
#	
#	--answer-first
#	asks to reorder the pages of each copy to get the separate answer sheet first.
#	
#	Where to print
#	Several printing methods are currently defined:
#	
#	·   with --methode CUPS, AMC-imprime.pl prints to a CUPS printer. One print job is sent for each copy, allowing for example to use stapling. Use the
#	following options with this method:
#	
#	--imprimante printer
#	sets the CUPS printer name to print to.
#	
#	--options cups-options
#	gives CUPS options, in the opt1=value1,opt2=value2,...  format.
#	
#	·   with --methode file, AMC-imprime.pl outputs the answer sheets to files (one for each copy).
#	
#	--output filename
#	sets the filename for outputs. The %e sequence will be replaced by a 4-digits copy number. If filename does not contain %e, the string
#	-%e.pdf will be added at its end.
#	
#	·   with --methode command, AMC-imprime.pl will use a provided command for each copy.
#	
#	--print-command command
#	gives the command to be used for printing. The command string will be split at each space character (even when using quotes...). The sequence %f
#	will be replaced by a PDF filename (containing the copy to print), and %e will be replaced by the copy number.
#	
#	Other options
#	Other available options:
#	
#	--extract-with command
#	gives the command to use to extract pages from the PDF subject. Currently only pdftk and gs are available. The default value is pdftk, but gs will be
#	used if the pdftk command is not installed.
#	
#	AUTHORS
write_log End

