#ui-scripts/10.export-marks.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-export.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options=""



write_log Start


#	AMC-export: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice export                                                                                           \
${xtra_options}                                                                                                         \
       --data $project_data_dir                                                                                          \
       --module CSV                                                                                                  \
       --fich-noms $students_file                                                                                   \
       --o $export_output_file                                                                                                  \
       --sort $export_sort_type                                                                                                 \
       --useall $export_all                                                                                                     \

#	OPTIONS:END

#       --option-out options                                                                                             \


#	OPTIONS:LIST:BEGIN

#       --data project-data-dir\
#       --module module\
#       --fich-noms students-list.csv\
#       --noms-encodage list-encoding\
#       --o output-file\
#       --option-out options\
#       --sort sort-type\
#       --useall all\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice export --data project-data-dir --module module --fich-noms students-list.csv [--noms-encodage list-encoding] --o output-file
#	
#	DESCRIPTION
#	The AMC-export.pl command exports marks from an Auto Multiple Choice exam.
#	
#	--data project-data-dir
#	gives the directory where data files are (see for example AMC-prepare(1)).
#	
#	--module module
#	selects a module for export. See below for the modules included in the AMC standard distribution.
#	
#	--fich-noms students-list.csv
#	sets the students list file.
#	
#	--noms-encodage list-encoding
#	selects an encoding for file students-list.csv (default is utf-8).
#	
#	--o output-file
#	gives the output file name.
#	
#	--option-out options
#	gives an option for selected module, in the form key=value (see below for possible options for each module). To specify multiple options, use --option
#	several times.
#	
#	--sort sort-type
#	sort the students names, depending on sort-type. If sort-type is l, use line number from students list file to sort. If sort-type is m, use mark (and
#	name if marks are equal) to sort. If sort-type is i, use student number to sort. If sort-type is n, use name to sort (or line from students list if
#	equal).
#	
#	--useall all
#	if all is 0 or empty, only students with a scanned answer sheet appears in the output. If all is 1, all students in the students list appears in the
#	output.
#	
#	MODULES
#	OpenDocument
#	With --module ods, an OpenDocument (for use by OpenOffice or LibreOffice for example) is produced. The following options are recognized:
#	
#	nom
#	gives a name for the exam, to be written on the beginning of the sheet.
#	
#	code
#	gives an short name for the exam, to be used as a tab name.
#	
#	columns
#	sets the list of columns that are to be added to each student. Default value is student.key,student.name.
#	
#	stats
#	with a true value, a table will be added with statistics for all questions.
#	
#	statsindic
#	with a true value, a table will be added with statistics for all indicative questions.
#	
#	CSV
#	With --module CSV, a CSV file is produced. The following options are recognized:
#	
#	columns
#	sets the list of columns that are to be added to each student. Default value is student.copy,student.key,student.name.
#	
#	decimal
#	sets the decimal point (default is a dot).
#	
#	encodage
#	sets the encoding to use for output (default is utf-8).
#	
#	separateur
#	sets the character used between colums (default is a comma).
#	
#	entoure
#	sets the character used to enclose strings (default is a double quote).
#	
#	ticked
#	if not empty, additional columns (with CHECKED: prefix) are included to give all the checked boxes on all the sheets. This can be used by an
#	external program to retrieve all the checked boxes when marks are not sufficient. Use value 01 to get 0;0;1;1;0 if boxes 3 and 4 are checked, and
#	value AB to get CD if boxes 3 and 4 are checked.
#	
#	List
#	With --module List, a PDF file is produced with a list of marks for all students. The following options are recognized:
#	
#	pagesize
#	The page size. Default value is a4.
#	
#	nom
#	gives the name of the exam, to be printed at the top of the page.
#	
#	ncols
#	The number of columns. Default value is 2.
#	
#	decimal
#	sets the decimal point (default is a dot).
#	
#	AUTHORS
write_log End

